## cinnamon-control-center 4.0.1

=== debian/changelog ===
cinnamon-control-center (4.0.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (4.0.1)

  [ Maximiliano Curia ]
  * Add a basic gbp.conf
  * Add a debian/salsa-ci.yml file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:53 -0300

=== debian/control ===
Source: cinnamon-control-center
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 autoconf-archive,
 automake,
 cinnamon-settings-daemon-dev,
 debhelper (>= 11~),
 gnome-doc-utils (>= 0.3.2),
 gnome-pkg-tools (>= 0.10),
 gtk-doc-tools,
 intltool (>= 0.37.1),
 libcinnamon-desktop-dev (>= 4.0),
 libcinnamon-menu-3-dev,
 libcolord-dev,
 libdbus-1-dev (>= 0.32),
 libdbus-glib-1-dev (>= 0.32),
 libgdk-pixbuf2.0-dev (>= 2.23.0),
 libglib2.0-dev (>= 2.31.0),
 libgnomekbd-dev,
 libgoa-1.0-dev (>= 3.18.0),
 libgoa-backend-1.0-dev (>= 3.18.0),
 libgtk-3-dev (>= 3.4.1),
 libmm-glib-dev (>= 0.7) [linux-any],
 libnm-dev (>= 1.2.0) [linux-any],
 libnma-dev (>= 1.2.0) [linux-any],
 libnotify-dev (>= 0.7.3),
 libpolkit-gobject-1-dev (>= 0.103),
 libupower-glib-dev (>= 0.9.1),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxkbfile-dev,
 libxklavier-dev (>= 5.1),
 libxml2-dev,
 locales,
 tzdata,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-control-center
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-control-center.git

Package: cinnamon-control-center
Architecture: any
Depends:
 accountsservice,
 apg,
 cinnamon-control-center-data (= ${source:Version}),
 cinnamon-desktop-data (>= 4.0),
 cinnamon-settings-daemon (>= 4.0),
 desktop-file-utils,
 gettext,
 gnome-online-accounts,
 libcinnamon-control-center1 (= ${binary:Version}),
 policykit-1-gnome,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: cinnamon (<< 4.0), cinnamon-core (<< 4.0~)
Recommends: cinnamon-l10n (>= 4.0), iso-codes, mesa-utils, mousetweaks
Suggests: x11-xserver-utils
Description: configuration applets for the Cinnamon desktop
 This package contains configuration applets for the Cinnamon desktop,
 allowing to set the date and time, regional settings, network configuration,
 screen resolution, and other Cinnamon parameters.

Package: cinnamon-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cinnamon-control-center (>= ${source:Version})
Provides: cinnamon-capplets-data
Conflicts: cinnamon-capplets-data
Replaces: cinnamon-capplets-data, cinnamon-control-center (<< 2.2.11)
Breaks: cinnamon-control-center (<< 2.2.11)
Description: configuration applets for Cinnamon - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the cinnamon-control-center package.

Package: libcinnamon-control-center-dev
Section: libdevel
Architecture: any
Depends:
 libcinnamon-control-center1 (= ${binary:Version}),
 libgtk-3-dev (>= 3.4.1),
 ${misc:Depends},
Description: configuration applets for Cinnamon - development files
 This package contains the development files for the cinnamon control center
 panels library.

Package: libcinnamon-control-center1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library used by configuration applets for Cinnamon
 This package contains the library used by control center panels.

## cinnamon-control-center 4.0.1+tessa

=== debian/changelog ===
cinnamon-control-center (4.0.1+tessa) tessa; urgency=medium

  * Wacom: Add a switch to set automatic rotation
  * Wacom: Don't disable auto-rotation when disabling monitor mapping
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:22:49 +0000

cinnamon-control-center (4.0.0) tessa; urgency=medium

  [ Germán Franco ]
  * Add "Internet" and "WiFi" keywords to the network settings entry (#213)

  [ Clement Lefebvre ]
  * CI: Remove Mint 18
  * l10n: Update POT and additional files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 14:47:53 +0000

cinnamon-control-center (3.8.2) tara; urgency=medium

  [ Michael Webster ]
  * wacom: Update to support 3-button and 3D styli.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Sep 2018 14:47:17 +0100

## cinnamon-control-center 4.2.2

=== debian/changelog ===
cinnamon-control-center (4.2.2-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Oct 2019 12:49:53 -0700

cinnamon-control-center (4.2.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:27:20 +0900

cinnamon-control-center (4.2.2-1) experimental; urgency=medium

  * New upstream release (4.2.2)
  * Add myself to the uploaders

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:50:10 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: cinnamon-control-center
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  autoconf-archive,
  automake,
@@ -15,7 +17,7 @@
  gnome-pkg-tools (>= 0.10),
  gtk-doc-tools,
  intltool (>= 0.37.1),
- libcinnamon-desktop-dev (>= 4.0),
+ libcinnamon-desktop-dev (>= 4.2),
  libcinnamon-menu-3-dev,
  libcolord-dev,
  libdbus-1-dev (>= 0.32),
@@ -50,8 +52,8 @@
  accountsservice,
  apg,
  cinnamon-control-center-data (= ${source:Version}),
- cinnamon-desktop-data (>= 4.0),
- cinnamon-settings-daemon (>= 4.0),
+ cinnamon-desktop-data (>= 4.2),
+ cinnamon-settings-daemon (>= 4.2),
  desktop-file-utils,
  gettext,
  gnome-online-accounts,
@@ -60,8 +62,8 @@
  xdg-utils,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 4.0), cinnamon-core (<< 4.0~)
-Recommends: cinnamon-l10n (>= 4.0), iso-codes, mesa-utils, mousetweaks
+Breaks: cinnamon (<< 4.2), cinnamon-core (<< 4.2~)
+Recommends: cinnamon-l10n (>= 4.2), iso-codes, mesa-utils, mousetweaks
 Suggests: x11-xserver-utils
 Description: configuration applets for the Cinnamon desktop
  This package contains configuration applets for the Cinnamon desktop,

## cinnamon-control-center 4.2.2+cindy

=== debian/changelog ===
cinnamon-control-center (4.2.2+cindy) tina; urgency=medium

  * GOA: Remove desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:29:36 +0200

cinnamon-control-center (4.2.1) tina; urgency=medium

  [ NikoKrause ]
  * Fix network settings, fixes e.g. eduroam (#220)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:51:29 +0200

cinnamon-control-center (4.2.0) tina; urgency=medium

  [ Michael Webster ]
  * network.ui: Provide a height request for the toplevel widget.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:48:40 +0100

cinnamon-control-center (4.0.1) tessa; urgency=medium

  * Wacom: Add a switch to set automatic rotation
  * Wacom: Don't disable auto-rotation when disabling monitor mapping
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:22:49 +0000

## cinnamon-control-center 4.2.2+tina

=== debian/changelog ===
cinnamon-control-center (4.2.2+tina) tina; urgency=medium

  * GOA: Remove desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:29:36 +0200

## cinnamon-control-center 4.4.0

=== debian/changelog ===
cinnamon-control-center (4.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:35:04 +0900

cinnamon-control-center (4.4.0-1) experimental; urgency=medium

  * Drop gnome-doc-utils from B-D (Closes: #945138)
  * Factor out online-accounts to new package (Closes: #894218)
  * New upstream version 4.4.0

 -- Norbert Preining <norbert@preining.info>  Sat, 18 Jan 2020 15:05:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cinnamon-control-center
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -13,11 +12,10 @@
  automake,
  cinnamon-settings-daemon-dev,
  debhelper (>= 11~),
- gnome-doc-utils (>= 0.3.2),
  gnome-pkg-tools (>= 0.10),
  gtk-doc-tools,
  intltool (>= 0.37.1),
- libcinnamon-desktop-dev (>= 4.2),
+ libcinnamon-desktop-dev (>= 4.4),
  libcinnamon-menu-3-dev,
  libcolord-dev,
  libdbus-1-dev (>= 0.32),
@@ -52,23 +50,39 @@
  accountsservice,
  apg,
  cinnamon-control-center-data (= ${source:Version}),
- cinnamon-desktop-data (>= 4.2),
- cinnamon-settings-daemon (>= 4.2),
+ cinnamon-desktop-data (>= 4.4),
+ cinnamon-settings-daemon (>= 4.4),
  desktop-file-utils,
  gettext,
- gnome-online-accounts,
  libcinnamon-control-center1 (= ${binary:Version}),
  policykit-1-gnome,
  xdg-utils,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 4.2), cinnamon-core (<< 4.2~)
-Recommends: cinnamon-l10n (>= 4.2), iso-codes, mesa-utils, mousetweaks
+Breaks: cinnamon (<< 4.4), cinnamon-core (<< 4.4~)
+Recommends: cinnamon-l10n (>= 4.4), iso-codes, mesa-utils, mousetweaks,
+ cinnamon-control-center-goa
 Suggests: x11-xserver-utils
 Description: configuration applets for the Cinnamon desktop
  This package contains configuration applets for the Cinnamon desktop,
  allowing to set the date and time, regional settings, network configuration,
  screen resolution, and other Cinnamon parameters.
+
+Package: cinnamon-control-center-goa
+Architecture: any
+Depends:
+ cinnamon-control-center (= ${binary:Version}),
+ gnome-online-accounts,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks: 
+ cinnamon (<< 4.4),
+ cinnamon-core (<< 4.4~),
+ cinnamon-control-center (<< ${source:Version})
+Replaces: cinnamon-control-center (<< ${source:Version})
+Description: configuration applets for the Cinnamon desktop - Gnome Online Account
+ This package contains configuration applets for the Cinnamon desktop, that
+ use Gnome Online Accounts.
 
 Package: cinnamon-control-center-data
 Architecture: all

## cinnamon-control-center 4.4.0+tricia

=== debian/changelog ===
cinnamon-control-center (4.4.0+tricia) tricia; urgency=medium

  [ JosephMcc ]
  * display: Clean up a couple labels in ui file (#222)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 12:08:18 +0100

cinnamon-control-center (4.2.2) tina; urgency=medium

  * GOA: Remove desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:29:36 +0200

## cinnamon-control-center 4.6.1

=== debian/changelog ===
cinnamon-control-center (4.6.1-2) unstable; urgency=medium

  * Don't allow monitors to be dragged apart. (Closes: #965343)
  * Drop mousetweaks recommends, not used anymore (Closes: #965345)

 -- Norbert Preining <norbert@preining.info>  Tue, 21 Jul 2020 09:51:37 +0900

cinnamon-control-center (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:50:48 +0900

cinnamon-control-center (4.6.0-1) experimental; urgency=medium

  * Drop dbus-glib dependency (Closes: #955828)
  * update watch file
  * New upstream version 4.6.0
  * update patches

 -- Norbert Preining <norbert@preining.info>  Wed, 13 May 2020 22:16:55 +0900

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
  gnome-pkg-tools (>= 0.10),
  gtk-doc-tools,
  intltool (>= 0.37.1),
- libcinnamon-desktop-dev (>= 4.4),
+ libcinnamon-desktop-dev (>= 4.6),
  libcinnamon-menu-3-dev,
  libcolord-dev,
  libdbus-1-dev (>= 0.32),
- libdbus-glib-1-dev (>= 0.32),
  libgdk-pixbuf2.0-dev (>= 2.23.0),
  libglib2.0-dev (>= 2.31.0),
  libgnomekbd-dev,
@@ -50,8 +49,8 @@
  accountsservice,
  apg,
  cinnamon-control-center-data (= ${source:Version}),
- cinnamon-desktop-data (>= 4.4),
- cinnamon-settings-daemon (>= 4.4),
+ cinnamon-desktop-data (>= 4.6),
+ cinnamon-settings-daemon (>= 4.6),
  desktop-file-utils,
  gettext,
  libcinnamon-control-center1 (= ${binary:Version}),
@@ -59,8 +58,8 @@
  xdg-utils,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 4.4), cinnamon-core (<< 4.4~)
-Recommends: cinnamon-l10n (>= 4.4), iso-codes, mesa-utils, mousetweaks,
+Breaks: cinnamon (<< 4.6~), cinnamon-core (<< 4.6~)
+Recommends: cinnamon-l10n (>= 4.6), iso-codes, mesa-utils,
  cinnamon-control-center-goa
 Suggests: x11-xserver-utils
 Description: configuration applets for the Cinnamon desktop
@@ -76,8 +75,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks: 
- cinnamon (<< 4.4),
- cinnamon-core (<< 4.4~),
+ cinnamon (<< 4.6~),
+ cinnamon-core (<< 4.6~),
  cinnamon-control-center (<< ${source:Version})
 Replaces: cinnamon-control-center (<< ${source:Version})
 Description: configuration applets for the Cinnamon desktop - Gnome Online Account

## cinnamon-control-center 4.6.2

=== debian/changelog ===
cinnamon-control-center (4.6.2-2) unstable; urgency=medium

  * clean up patches
  * drop dbus b-d, not necessary anymore
  * bump standards version
  * switch to debhelper-compat instead of d/compat

 -- Norbert Preining <norbert@preining.info>  Fri, 14 Aug 2020 14:43:03 +0900

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
  autoconf-archive,
  automake,
  cinnamon-settings-daemon-dev,
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  gnome-pkg-tools (>= 0.10),
  gtk-doc-tools,
  intltool (>= 0.37.1),
  libcinnamon-desktop-dev (>= 4.6),
  libcinnamon-menu-3-dev,
  libcolord-dev,
- libdbus-1-dev (>= 0.32),
  libgdk-pixbuf2.0-dev (>= 2.23.0),
  libglib2.0-dev (>= 2.31.0),
  libgnomekbd-dev,
@@ -38,7 +37,7 @@
  libxml2-dev,
  locales,
  tzdata,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-control-center
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-control-center.git

## cinnamon-control-center 4.6.2+ulyana

=== debian/changelog ===
cinnamon-control-center (4.6.2+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * cc-display-panel.c: Use scaled geometry when checking overlap and alignment while dragging.
  * cc-display-panel.c: Realign after a rotation change, re-scale and center the view after a grab ends.
  * cc-display-panel.c: Improve display representation while dragging.
  * cc-display-panel.c: Use a scrolled window in the error popup, and add a reset button to the panel.
  * cc-display-panel.c: Update the view after toggling the fractional scale switch.
  * cc-display-panel.c: Never scale the output width and height.
  * cc-display-panel.c: Fill in all geometry for non-active monitors, not just the size, to ensure uninitialized values don't get returned to callers.
  * cc-display-panel.c: Don't allow monitors to be dragged apart.

  [ Eli Schwartz ]
  * remove outdated build dependency on dbus-glib (#235)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 15:31:06 +0100

cinnamon-control-center (4.6.1) ulyana; urgency=medium

  [ Michael Webster ]
  * Display module fixes (scaling) (#238)

  [ Clement Lefebvre ]
  * l10n: Adjust msgids and update POT
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jun 2020 13:38:31 +0100

cinnamon-control-center (4.6.0) ulyana; urgency=medium

  [ Michael Webster ]
  * display: Allow the selection of different modes of the same resolution using a refresh rate combobox.
  * Allow setting of per-monitor scale factors using a combination of ui scaling and xrandr scaling.
  * display: Add a combo for base scale configuration setting.
  * cc-display-panel.c: Comment some unused code.

  [ JosephMcc ]
  * display-applet.ui: Add some margins

  [ Michael Webster ]
  * debian/control: Remove gnome-doc-utils dependency

  [ Garry Filakhtov ]
  * Remove checks for unused dependencies

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 16:40:05 +0100

cinnamon-control-center (4.4.0) tricia; urgency=medium

  [ JosephMcc ]
  * display: Clean up a couple labels in ui file (#222)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Nov 2019 12:08:18 +0100

=== debian/control ===
Source: cinnamon-control-center
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 autoconf-archive,
 automake,
 autotools-dev,
 cinnamon-settings-daemon-dev,
 debhelper (>= 10),
 gnome-pkg-tools (>= 0.10),
 gtk-doc-tools,
 intltool (>= 0.37.1),
 libcinnamon-desktop-dev (>= 3.6),
 libcinnamon-menu-3-dev,
 libcolord-dev,
 libdbus-1-dev (>= 0.32),
 libgdk-pixbuf2.0-dev (>= 2.23.0),
 libglib2.0-dev (>= 2.31.0),
 libgnomekbd-dev,
 libgoa-1.0-dev,
 libgoa-backend-1.0-dev,
 libgtk-3-dev (>= 3.4.1),
 libmm-glib-dev (>= 0.7) [linux-any],
 libnm-dev (>= 1.2.0) [linux-any],
 libnma-dev (>= 1.2.0) [linux-any],
 libnotify-dev (>= 0.7.3),
 libpolkit-gobject-1-dev (>= 0.103),
 libupower-glib-dev (>= 0.9.1),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxkbfile-dev,
 libxklavier-dev (>= 5.1),
 libxml2-dev,
 locales,
 tzdata,
Standards-Version: 3.9.8
Homepage: http://www.github.com/linuxmint/cinnamon-control-center

Package: cinnamon-control-center
Architecture: any
Depends:
 accountsservice,
 apg,
 cinnamon-control-center-data (= ${source:Version}),
 cinnamon-desktop-data,
 cinnamon-settings-daemon,
 desktop-file-utils,
 gettext,
 gnome-online-accounts,
 libcinnamon-control-center1 (= ${binary:Version}),
 policykit-1-gnome,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 cinnamon-l10n,
 iso-codes,
 mesa-utils,
 mousetweaks
Suggests: x11-xserver-utils
Description: utilities to configure the Cinnamon desktop
 This package contains configuration applets for the Cinnamon desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other Cinnamon parameters.

Package: cinnamon-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cinnamon-control-center (>= ${source:Version})
Provides: cinnamon-capplets-data
Conflicts: cinnamon-capplets-data
Replaces: cinnamon-capplets-data, cinnamon-control-center (<< 2.8.0)
Breaks: cinnamon-control-center (<< 2.8.0)
Description: configuration applets for Cinnamon - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the cinnamon-control-center package.

Package: cinnamon-control-center-dbg
Priority: extra
Section: debug
Architecture: any
Depends: cinnamon-control-center (= ${binary:Version}), ${misc:Depends}
Description: utilities to configure the Cinnamon desktop - debug symbols
 This package contains the debug symbols for the configuration applets of the
 Cinnamon desktop.

Package: libcinnamon-control-center-dev
Section: libdevel
Architecture: any
Depends:
 libcinnamon-control-center1 (= ${binary:Version}),
 libgtk-3-dev (>= 3.4.1),
 ${misc:Depends},
Description: utilities to configure the Cinnamon desktop
 This package contains the development files for the cinnamon control center
 panels library.

Package: libcinnamon-control-center1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities to configure the Cinnamon desktop
 This package contains the library used by control center panels

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DATA_PKG = cinnamon-control-center-data
MAIN_PKG = cinnamon-control-center

%:
	dh $@ --with=gnome

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_test:
	# Disable auto tests
	:

override_dh_strip:
	dh_strip --dbg-package=cinnamon-control-center-dbg

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	# Only install the changelog in the arch:all package
	dh_installchangelogs -i ChangeLog
	# Put the changelog file in the main package doc dir.
	install -d debian/$(DATA_PKG)/usr/share/doc/$(MAIN_PKG)
	[ ! -f debian/$(DATA_PKG)/usr/share/doc/$(DATA_PKG)/changelog ] \
	    || mv debian/$(DATA_PKG)/usr/share/doc/$(DATA_PKG)/changelog \
	    debian/$(DATA_PKG)/usr/share/doc/$(MAIN_PKG)/changelog

override_dh_makeshlibs:
	dh_makeshlibs \
	    -Xusr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-control-center-1/panels

## cinnamon-control-center 4.8.1

=== debian/changelog ===
cinnamon-control-center (4.8.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:57 +0900

cinnamon-control-center (4.8.1-1) experimental; urgency=medium

  * New upstream version 4.8.1
  * adjust B-D according to new upstream

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 19:38:15 +0900

cinnamon-control-center (4.8.0-1) experimental; urgency=medium

  * New upstream version 4.8.0
  * remove patches for build system, upstream uses meson
  * update list of installed files
  * use debhelper compat 13
  * Bump deps/breaks of inter-cinnamon deps to 4.8

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:27:37 +0900

## cinnamon-control-center 4.8.2

=== debian/changelog ===
cinnamon-control-center (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2

 -- Norbert Preining <norbert@preining.info>  Sun, 03 Jan 2021 06:31:01 +0900

=== debian/control ===
Source: cinnamon-control-center
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 meson,
 cinnamon-settings-daemon-dev,
 debhelper-compat (= 13),
 gnome-pkg-tools (>= 0.10),
 iso-codes,
 libcinnamon-desktop-dev (>= 4.6),
 libcinnamon-menu-3-dev,
 libcolord-dev,
 libgdk-pixbuf2.0-dev (>= 2.23.0),
 libglib2.0-dev (>= 2.44.0),
 libgnomekbd-dev (>= 3.0.0),
 libgoa-1.0-dev (>= 3.18.0),
 libgoa-backend-1.0-dev (>= 3.18.0),
 libgtk-3-dev (>= 3.16.0),
 libmm-glib-dev (>= 0.7) [linux-any],
 libnm-dev (>= 1.2.0) [linux-any],
 libnma-dev (>= 1.2.0) [linux-any],
 libnotify-dev (>= 0.7.3),
 libpolkit-gobject-1-dev (>= 0.103),
 libwacom-dev (>= 0.7) [linux-any],
 libx11-dev,
 libxkbfile-dev,
 libxklavier-dev (>= 5.1),
 libxml2-dev,
 tzdata,
Standards-Version: 4.5.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-control-center
Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-control-center.git

Package: cinnamon-control-center
Architecture: any
Depends:
 accountsservice,
 apg,
 cinnamon-control-center-data (= ${source:Version}),
 cinnamon-desktop-data (>= 4.8),
 cinnamon-settings-daemon (>= 4.8),
 desktop-file-utils,
 gettext,
 libcinnamon-control-center1 (= ${binary:Version}),
 policykit-1-gnome,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: cinnamon (<< 4.8~), cinnamon-core (<< 4.8~),
 cinnamon-control-center-goa (<< ${source:Version}),
Recommends: cinnamon-l10n (>= 4.8), iso-codes, mesa-utils,
 cinnamon-control-center-goa
Suggests: x11-xserver-utils
Description: configuration applets for the Cinnamon desktop
 This package contains configuration applets for the Cinnamon desktop,
 allowing to set the date and time, regional settings, network configuration,
 screen resolution, and other Cinnamon parameters.

Package: cinnamon-control-center-goa
Architecture: any
Depends:
 cinnamon-control-center (= ${binary:Version}),
 gnome-online-accounts,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: 
 cinnamon (<< 4.8~),
 cinnamon-core (<< 4.8~),
 cinnamon-control-center (<< ${source:Version})
Replaces: cinnamon-control-center (<< ${source:Version})
Description: configuration applets for the Cinnamon desktop - Gnome Online Account
 This package contains configuration applets for the Cinnamon desktop, that
 use Gnome Online Accounts.

Package: cinnamon-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cinnamon-control-center (>= ${source:Version})
Provides: cinnamon-capplets-data
Conflicts: cinnamon-capplets-data
Replaces: cinnamon-capplets-data, cinnamon-control-center (<< 2.2.11)
Breaks: cinnamon-control-center (<< 2.2.11)
Description: configuration applets for Cinnamon - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the cinnamon-control-center package.

Package: libcinnamon-control-center-dev
Section: libdevel
Architecture: any
Depends:
 libcinnamon-control-center1 (= ${binary:Version}),
 libgtk-3-dev (>= 3.4.1),
 ${misc:Depends},
Description: configuration applets for Cinnamon - development files
 This package contains the development files for the cinnamon control center
 panels library.

Package: libcinnamon-control-center1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library used by configuration applets for Cinnamon
 This package contains the library used by control center panels.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND  = -Wall
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DATA_PKG = cinnamon-control-center-data
@@ -9,9 +9,6 @@
 
 %:
 	dh $@ --with=gnome
-
-override_dh_autoreconf:
-	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control
@@ -21,14 +18,12 @@
 	:
 
 override_dh_strip:
-	dh_strip --dbg-package=cinnamon-control-center-dbg
-
-override_dh_install:
-	dh_install --list-missing
+	dh_strip --dbgsym-migration='cinnamon-control-center-dbg (<< 3.0.0-1~)' || dh_strip
 
 override_dh_installchangelogs:
 	# Only install the changelog in the arch:all package
 	dh_installchangelogs -i ChangeLog
+	dh_installchangelogs -a -XChangeLog
 	# Put the changelog file in the main package doc dir.
 	install -d debian/$(DATA_PKG)/usr/share/doc/$(MAIN_PKG)
 	[ ! -f debian/$(DATA_PKG)/usr/share/doc/$(DATA_PKG)/changelog ] \

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/(.*)/cinnamon-control-center-$1/" \
  https://github.com/linuxmint/cinnamon-control-center/tags .*/v?(\d\S+)\.tar\.gz

## cinnamon-control-center 4.8.2%2Bulyssa

=== meson_options.txt ===
option('color',         type: 'boolean', value: 'true', description: 'Color Management support')
option('modemmanager',  type: 'boolean', value: 'true', description: 'ModemManager support')
option('networkmanager',type: 'boolean', value: 'true', description: 'NetworkManager support')
option('onlineaccounts',type: 'boolean', value: 'true', description: 'Online Accounts support')
option('wacom',         type: 'boolean', value: 'true', description: 'Wacom Management support')

## cinnamon-control-center 4.8.2+ulyssa

=== debian/changelog ===
cinnamon-control-center (4.8.2+ulyssa) ulyssa; urgency=medium

  * Network: Don't prevent hotspot capability unless NM specifically rules it out

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:26:37 +0000

cinnamon-control-center (4.8.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * build: Update some dependencies.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:22:36 +0000

cinnamon-control-center (4.8.0) ulyssa; urgency=medium

  [ Leigh Scott ]
  * network: Fix runtime warning

  [ Félix Piédallu ]
  * Fix config.h inclusion
  * Port to Meson
  * Debian rules
  * Target LMDE4 and Mint 20 too.
  * Fix some build issues - we no longer use datetime, NetworkManager is gone, removed old build system and many other files that weren't used.

  [ Michael Webster ]
  * debian/rules: Fix build in lmde4, remove duplicate item, remove redundant dh_missing.
  * debian: Disable debug packages for now, until they can be fixed.
  * Revert previous commit disabling debug packages.

  [ Clement Lefebvre ]
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 14:17:42 +0000

cinnamon-control-center (4.6.2) ulyana; urgency=medium

  [ Michael Webster ]
  * cc-display-panel.c: Use scaled geometry when checking overlap and alignment while dragging.
  * cc-display-panel.c: Realign after a rotation change, re-scale and center the view after a grab ends.
  * cc-display-panel.c: Improve display representation while dragging.
  * cc-display-panel.c: Use a scrolled window in the error popup, and add a reset button to the panel.
  * cc-display-panel.c: Update the view after toggling the fractional scale switch.
  * cc-display-panel.c: Never scale the output width and height.
  * cc-display-panel.c: Fill in all geometry for non-active monitors, not just the size, to ensure uninitialized values don't get returned to callers.
  * cc-display-panel.c: Don't allow monitors to be dragged apart.

  [ Eli Schwartz ]
  * remove outdated build dependency on dbus-glib (#235)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 15:31:06 +0100

## cinnamon-control-center 5.0.2

=== debian/changelog ===
cinnamon-control-center (5.0.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:16:02 +0900

cinnamon-control-center (5.0.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Add missed rm_conffile /etc/xdg/menus/cinnamoncc.menu
    Thanks to Christoph Anton Mitterer. (Closes: #990132)
  * New upstream version 5.0.2 (Closes: #972499)
  * Remove broken link to a file removed in c-c-c 4.8
    Thanks to Andreas Beckman. (Closes: #986477)

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:14:06 +0900

=== debian/control ===
--- 
+++ 
@@ -44,8 +44,8 @@
  accountsservice,
  apg,
  cinnamon-control-center-data (= ${source:Version}),
- cinnamon-desktop-data (>= 4.8),
- cinnamon-settings-daemon (>= 4.8),
+ cinnamon-desktop-data (>= 5.0),
+ cinnamon-settings-daemon (>= 5.0),
  desktop-file-utils,
  gettext,
  libcinnamon-control-center1 (= ${binary:Version}),
@@ -53,9 +53,9 @@
  xdg-utils,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 4.8~), cinnamon-core (<< 4.8~),
+Breaks: cinnamon (<< 5.0~), cinnamon-core (<< 5.0~),
  cinnamon-control-center-goa (<< ${source:Version}),
-Recommends: cinnamon-l10n (>= 4.8), iso-codes, mesa-utils,
+Recommends: cinnamon-l10n (>= 5.0), iso-codes, mesa-utils,
  cinnamon-control-center-goa
 Suggests: x11-xserver-utils
 Description: configuration applets for the Cinnamon desktop
@@ -71,10 +71,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks: 
- cinnamon (<< 4.8~),
- cinnamon-core (<< 4.8~),
+ cinnamon (<< 5.0~),
+ cinnamon-core (<< 5.0~),
  cinnamon-control-center (<< ${source:Version})
 Replaces: cinnamon-control-center (<< ${source:Version})
+Multi-Arch: same
 Description: configuration applets for the Cinnamon desktop - Gnome Online Account
  This package contains configuration applets for the Cinnamon desktop, that
  use Gnome Online Accounts.
@@ -99,6 +100,7 @@
  libcinnamon-control-center1 (= ${binary:Version}),
  libgtk-3-dev (>= 3.4.1),
  ${misc:Depends},
+Multi-Arch: same
 Description: configuration applets for Cinnamon - development files
  This package contains the development files for the cinnamon control center
  panels library.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 	# Disable auto tests
 	:
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='cinnamon-control-center-dbg (<< 3.0.0-1~)' || dh_strip
-
 override_dh_installchangelogs:
 	# Only install the changelog in the arch:all package
 	dh_installchangelogs -i ChangeLog

## cinnamon-control-center 5.0.2+debbie

=== debian/changelog ===
cinnamon-control-center (5.0.2+debbie) uma; urgency=medium

  [ Leigh Scott ]
  * Remove calibrate button from UI

  [ Michael Webster ]
  * cc-color-panel.c: Remove references to removed calibrate button.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:58:05 +0100

cinnamon-control-center (5.0.1) uma; urgency=medium

  [ Michael Webster ]
  * build: Add a build option to ignore deprecation warnings during the build, and enable it by default.
  * display panel: Hide the fractional scaling controls by default.
  * display panel: Forgot to git add the gsettings schema file and install script.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Jun 2021 12:21:10 +0100

cinnamon-control-center (5.0.0) uma; urgency=medium

  [ Félix Piédallu ]
  * Add ifdefs to prevent undefined reference to modem functions in network panel

  [ treysis ]
  * network: Add support for displaying DNS6 parameters

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:32:39 +0100

cinnamon-control-center (4.8.2) ulyssa; urgency=medium

  * Network: Don't prevent hotspot capability unless NM specifically rules it out

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:26:37 +0000

## cinnamon-control-center 5.0.2+uma

=== debian/changelog ===
cinnamon-control-center (5.0.2+uma) uma; urgency=medium

  [ Leigh Scott ]
  * Remove calibrate button from UI

  [ Michael Webster ]
  * cc-color-panel.c: Remove references to removed calibrate button.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:58:05 +0100

## cinnamon-control-center 5.2.0

=== debian/changelog ===
cinnamon-control-center (5.2.0-1) experimental; urgency=medium

  * New upstream version 5.2.0

  * Fix watch file
  * Add myself to Uploaders
  * Add rules-requires-root field
  * Bump cinnamon conflict versions to 5.2

 -- Joshua Peisach <itzswirlz2020@outlook.com>  Sun, 21 Nov 2021 15:32:50 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends:
  meson,
- cinnamon-settings-daemon-dev,
+ cinnamon-settings-daemon-dev (>= 5.2),
  debhelper-compat (= 13),
  gnome-pkg-tools (>= 0.10),
  iso-codes,
- libcinnamon-desktop-dev (>= 4.6),
+ libcinnamon-desktop-dev (>= 5.2),
  libcinnamon-menu-3-dev,
  libcolord-dev,
  libgdk-pixbuf2.0-dev (>= 2.23.0),
@@ -34,6 +35,7 @@
  libxml2-dev,
  tzdata,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cinnamon-control-center
 Vcs-Git: https://salsa.debian.org/cinnamon-team/cinnamon-control-center.git
@@ -44,8 +46,8 @@
  accountsservice,
  apg,
  cinnamon-control-center-data (= ${source:Version}),
- cinnamon-desktop-data (>= 5.0),
- cinnamon-settings-daemon (>= 5.0),
+ cinnamon-desktop-data (>= 5.2),
+ cinnamon-settings-daemon (>= 5.2),
  desktop-file-utils,
  gettext,
  libcinnamon-control-center1 (= ${binary:Version}),
@@ -53,9 +55,9 @@
  xdg-utils,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: cinnamon (<< 5.0~), cinnamon-core (<< 5.0~),
+Breaks: cinnamon (<< 5.2~), cinnamon-core (<< 5.2~),
  cinnamon-control-center-goa (<< ${source:Version}),
-Recommends: cinnamon-l10n (>= 5.0), iso-codes, mesa-utils,
+Recommends: cinnamon-l10n (>= 5.2), iso-codes, mesa-utils,
  cinnamon-control-center-goa
 Suggests: x11-xserver-utils
 Description: configuration applets for the Cinnamon desktop
@@ -71,8 +73,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks: 
- cinnamon (<< 5.0~),
- cinnamon-core (<< 5.0~),
+ cinnamon (<< 5.2~),
+ cinnamon-core (<< 5.2~),
  cinnamon-control-center (<< ${source:Version})
 Replaces: cinnamon-control-center (<< ${source:Version})
 Multi-Arch: same

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cinnamon-control-center-$1.tar.gz%" \
   https://github.com/linuxmint/cinnamon-control-center/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cinnamon-control-center 5.2.1

=== debian/changelog ===
cinnamon-control-center (5.2.1-2) unstable; urgency=medium

  * d/patches/fix-network.patch:
    network: Remove old workaround for openvpn widgets.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 16 Feb 2022 14:07:33 +0100

cinnamon-control-center (5.2.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.2.1

  [ Christoph Martin ]
  * add myself to uploaders
  * prepare unstable release

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jan 2022 09:56:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Margarita Manterola <marga@debian.org>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>,
- Joshua Peisach <itzswirlz2020@outlook.com>
+ Joshua Peisach <itzswirlz2020@outlook.com>,
+ Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
  meson,
  cinnamon-settings-daemon-dev (>= 5.2),

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DATA_PKG = cinnamon-control-center-data
 MAIN_PKG = cinnamon-control-center

## cinnamon-control-center 5.2.1+elsie

=== debian/changelog ===
cinnamon-control-center (5.2.1+elsie) una; urgency=medium

  [ Michael Webster ]
  * wacom: Fix column layout in button-mapping dialog.

  [ Clement Lefebvre ]
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 09:00:04 +0000

cinnamon-control-center (5.2.0) una; urgency=medium

  [ Michael Webster ]
  * region panel: Remove desktop file. It can be turned on in the menu editor, but no longer does anything.
  * cc-display-panel.c: Allow setting up to 3x scaling.
  * network panel: Don't try to rebuild the ui during shutdown, and (#270)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 13:01:10 +0000

cinnamon-control-center (5.0.2) uma; urgency=medium

  [ Leigh Scott ]
  * Remove calibrate button from UI

  [ Michael Webster ]
  * cc-color-panel.c: Remove references to removed calibrate button.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:58:05 +0100

## cinnamon-control-center 5.2.1+una

=== debian/changelog ===
cinnamon-control-center (5.2.1+una) una; urgency=medium

  [ Michael Webster ]
  * wacom: Fix column layout in button-mapping dialog.

  [ Clement Lefebvre ]
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 09:00:04 +0000

=== debian/control ===
Source: cinnamon-control-center
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 meson,
 cinnamon-settings-daemon-dev,
 debhelper-compat (= 12),
 gnome-pkg-tools (>= 0.10),
 gtk-doc-tools,
 intltool (>= 0.37.1),
 libcinnamon-desktop-dev (>= 4.8),
 libcinnamon-menu-3-dev,
 libcolord-dev,
 libdbus-1-dev (>= 0.32),
 libgdk-pixbuf2.0-dev (>= 2.23.0),
 libglib2.0-dev (>= 2.44.0),
 libgnomekbd-dev,
 libgoa-1.0-dev,
 libgoa-backend-1.0-dev,
 libgtk-3-dev (>= 3.16),
 libmm-glib-dev (>= 0.7) [linux-any],
 libnm-dev (>= 1.2.0) [linux-any],
 libnma-dev (>= 1.2.0) [linux-any],
 libnotify-dev (>= 0.7.3),
 libpolkit-gobject-1-dev (>= 0.103),
 libupower-glib-dev (>= 0.9.1),
 libwacom-dev (>= 0.4) [linux-any],
 libx11-dev,
 libxkbfile-dev,
 libxklavier-dev (>= 5.1),
 libxml2-dev,
 locales,
 tzdata,
Standards-Version: 3.9.8
Homepage: http://www.github.com/linuxmint/cinnamon-control-center

Package: cinnamon-control-center
Architecture: any
Depends:
 accountsservice,
 apg,
 cinnamon-control-center-data (= ${source:Version}),
 cinnamon-desktop-data (>= 4.8),
 cinnamon-settings-daemon,
 desktop-file-utils,
 gettext,
 gnome-online-accounts,
 libcinnamon-control-center1 (= ${binary:Version}),
 policykit-1-gnome,
 xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 cinnamon-l10n,
 iso-codes,
 mesa-utils,
 mousetweaks
Suggests: x11-xserver-utils
Description: utilities to configure the Cinnamon desktop
 This package contains configuration applets for the Cinnamon desktop,
 allowing to set accessibility configuration, desktop fonts, keyboard
 and mouse properties, sound setup, desktop theme and background, user
 interface properties, screen resolution, and other Cinnamon parameters.

Package: cinnamon-control-center-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cinnamon-control-center (>= ${source:Version})
Provides: cinnamon-capplets-data
Conflicts: cinnamon-capplets-data
Replaces: cinnamon-capplets-data, cinnamon-control-center (<< 2.8.0)
Breaks: cinnamon-control-center (<< 2.8.0)
Description: configuration applets for Cinnamon - data files
 This package contains data files (icons, pixmaps, locales files) needed by
 the configuration applets in the cinnamon-control-center package.

Package: cinnamon-control-center-dbg
Priority: extra
Section: debug
Architecture: any
Depends: cinnamon-control-center (= ${binary:Version}), ${misc:Depends}
Description: utilities to configure the Cinnamon desktop - debug symbols
 This package contains the debug symbols for the configuration applets of the
 Cinnamon desktop.

Package: libcinnamon-control-center-dev
Section: libdevel
Architecture: any
Depends:
 libcinnamon-control-center1 (= ${binary:Version}),
 libgtk-3-dev (>= 3.4.1),
 ${misc:Depends},
Description: utilities to configure the Cinnamon desktop
 This package contains the development files for the cinnamon control center
 panels library.

Package: libcinnamon-control-center1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities to configure the Cinnamon desktop
 This package contains the library used by control center panels

## cinnamon-control-center 5.2.1+vanessa

=== debian/changelog ===
cinnamon-control-center (5.2.1+vanessa) una; urgency=medium

  [ Michael Webster ]
  * wacom: Fix column layout in button-mapping dialog.

  [ Clement Lefebvre ]
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 09:00:04 +0000

## cinnamon-control-center 5.4.0+vanessa

=== debian/changelog ===
cinnamon-control-center (5.4.0+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * Adapt to muffin rebase.
  * network: Remove old workaround for openvpn widgets.
  * network: Add support for displaying IPv6 gateway and all IPv6 addresses (#275)

  [ Clement Lefebvre ]
  * CI: Update targets
  * l10n: Update POT
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:06:33 +0200

cinnamon-control-center (5.2.1) una; urgency=medium

  [ Michael Webster ]
  * wacom: Fix column layout in button-mapping dialog.

  [ Clement Lefebvre ]
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 09:00:04 +0000

## cinnamon-control-center 5.4.1+vanessa

=== debian/changelog ===
cinnamon-control-center (5.4.1+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * cc-display-config: Check other monitors' capabilities when deciding which scales to offer for the selected one.
  * display: Keep monitors visible when disabled.
  * display: Select a different active monitor when the current selection is disabled.
  * display: Clean up dead code.
  * makepot: Include some missed files in the network panel.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * network/panel-common.c: Use null-safe g_strdup.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2022 10:23:29 +0200

cinnamon-control-center (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Adapt to muffin rebase.
  * network: Remove old workaround for openvpn widgets.
  * network: Add support for displaying IPv6 gateway and all IPv6 addresses (#275)

  [ Clement Lefebvre ]
  * CI: Update targets
  * l10n: Update POT
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:06:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
- meson,
  cinnamon-settings-daemon-dev,
  debhelper-compat (= 12),
  gnome-pkg-tools (>= 0.10),
@@ -24,16 +23,17 @@
  libnma-dev (>= 1.2.0) [linux-any],
  libnotify-dev (>= 0.7.3),
  libpolkit-gobject-1-dev (>= 0.103),
- libupower-glib-dev (>= 0.9.1),
+ libupower-glib-dev (>= 0.99.8),
  libwacom-dev (>= 0.4) [linux-any],
  libx11-dev,
  libxkbfile-dev,
  libxklavier-dev (>= 5.1),
  libxml2-dev,
  locales,
+ meson,
  tzdata,
 Standards-Version: 3.9.8
-Homepage: http://www.github.com/linuxmint/cinnamon-control-center
+Homepage: https://www.github.com/linuxmint/cinnamon-control-center
 
 Package: cinnamon-control-center
 Architecture: any
@@ -69,9 +69,6 @@
 Depends: ${misc:Depends}
 Recommends: cinnamon-control-center (>= ${source:Version})
 Provides: cinnamon-capplets-data
-Conflicts: cinnamon-capplets-data
-Replaces: cinnamon-capplets-data, cinnamon-control-center (<< 2.8.0)
-Breaks: cinnamon-control-center (<< 2.8.0)
 Description: configuration applets for Cinnamon - data files
  This package contains data files (icons, pixmaps, locales files) needed by
  the configuration applets in the cinnamon-control-center package.
@@ -92,7 +89,7 @@
  libcinnamon-control-center1 (= ${binary:Version}),
  libgtk-3-dev (>= 3.4.1),
  ${misc:Depends},
-Description: utilities to configure the Cinnamon desktop
+Description: utilities to configure the Cinnamon desktop - development files
  This package contains the development files for the cinnamon control center
  panels library.

## cinnamon-control-center 5.4.2+vanessa

=== debian/changelog ===
cinnamon-control-center (5.4.2+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * packaging: Install correct desktop files to usr/share/applications instead of in the panel definition folder.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 16:59:11 +0200

cinnamon-control-center (5.4.1) vanessa; urgency=medium

  [ Michael Webster ]
  * cc-display-config: Check other monitors' capabilities when deciding which scales to offer for the selected one.
  * display: Keep monitors visible when disabled.
  * display: Select a different active monitor when the current selection is disabled.
  * display: Clean up dead code.
  * makepot: Include some missed files in the network panel.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * network/panel-common.c: Use null-safe g_strdup.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2022 10:23:29 +0200
